scala.tools.nsc.util

# JavaClassPath

###
Related Doc: package util

#### class JavaClassPath extends MergedClassPath[AbstractFile]

The classpath when compiling with target:jvm. Binary files (classfiles) are represented as AbstractFile. nsc.io.ZipArchive is used to view zip/jar archives as directories.

Source
  ClassPath.scala

Linear Supertypes
MergedClassPath[AbstractFile], ClassPath[AbstractFile], ClassFileLookup[AbstractFile], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. JavaClassPath
2. MergedClassPath
3. ClassPath
4. ClassFileLookup
5. AnyRef
6. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Instance Constructors

1. #### new JavaClassPath(containers: IndexedSeq[ClassPath[AbstractFile]], context: JavaContext)

### Type Members

1. #### case class ClassRep (binary: Option[T], source: Option[AbstractFile]) extends ClassRepresentation[T] with Product with Serializable

   Represents classes which can be loaded with a ClassfileLoader and/or SourcefileLoader.

   Represents classes which can be loaded with a ClassfileLoader and/or SourcefileLoader.

   Definition Classes
     ClassPath

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from JavaClassPath to any2stringadd[JavaClassPath] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (JavaClassPath, B)

   Implicit information
     This member is added by an implicit conversion from JavaClassPath to ArrowAssoc[JavaClassPath] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### def asClassPathString: String

   The whole classpath in the form of one String.

   The whole classpath in the form of one String.

   Definition Classes
     MergedClassPath → ClassFileLookup

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

8. #### def asSourcePathString: String

   The whole sourcepath in the form of one String.

   The whole sourcepath in the form of one String.

   Definition Classes
     ClassPath → ClassFileLookup

9. #### def asURLs: List[URL]

   A sequence of URLs representing this classpath.

   A sequence of URLs representing this classpath.

   Definition Classes
     MergedClassPath → ClassFileLookup

10. #### lazy val classes: IndexedSeq[ClassRepresentation[AbstractFile]]

    Lists of entities.

    Lists of entities.

    Definition Classes
      MergedClassPath → ClassPath

11. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

12. #### val context: ClassPathContext[AbstractFile]

    Info which should be propagated to any sub-classpaths.

    Info which should be propagated to any sub-classpaths.

    Definition Classes
      MergedClassPath → ClassPath

13. #### def ensuring(cond: (JavaClassPath) ⇒ Boolean, msg: ⇒ Any): JavaClassPath

    Implicit information
      This member is added by an implicit conversion from JavaClassPath to Ensuring[JavaClassPath] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (JavaClassPath) ⇒ Boolean): JavaClassPath

    Implicit information
      This member is added by an implicit conversion from JavaClassPath to Ensuring[JavaClassPath] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): JavaClassPath

    Implicit information
      This member is added by an implicit conversion from JavaClassPath to Ensuring[JavaClassPath] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): JavaClassPath

    Implicit information
      This member is added by an implicit conversion from JavaClassPath to Ensuring[JavaClassPath] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### val entries: IndexedSeq[ClassPath[AbstractFile]]

    The entries this classpath is composed of.

    The entries this classpath is composed of. In class `ClassPath` it's just the singleton list containing `this`. Subclasses such as `MergedClassPath` typically return lists with more elements.

    Definition Classes
      MergedClassPath → ClassPath

18. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

19. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      ClassPath → AnyRef → Any

20. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

21. #### def findClass(name: String): Option[ClassRepresentation[AbstractFile]]

    Find a ClassRep given a class name of the form "package.subpackage.ClassName".

    Find a ClassRep given a class name of the form "package.subpackage.ClassName". Does not support nested classes on .NET

    Definition Classes
      ClassPath → ClassFileLookup

22. #### def findClassFile(name: String): Option[AbstractFile]

    Definition Classes
      ClassPath → ClassFileLookup

23. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from JavaClassPath to StringFormat[JavaClassPath] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

24. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

25. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      ClassPath → AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

27. #### def mergeUrlsIntoClassPath(urls: URL*): MergedClassPath[AbstractFile]

    Merge classpath of `platform` and `urls` into merged classpath

    Merge classpath of `platform` and `urls` into merged classpath

    Definition Classes
      ClassPath

28. #### def name: String

    The short name of the package (without prefix)

    The short name of the package (without prefix)

    Definition Classes
      MergedClassPath → ClassPath

29. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

31. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

32. #### def origin: Some[String]

    A String representing the origin of this classpath element, if known.

    A String representing the origin of this classpath element, if known. For example, the path of the directory or jar.

    Definition Classes
      MergedClassPath → ClassPath

33. #### lazy val packages: IndexedSeq[ClassPath[AbstractFile]]

    Definition Classes
      MergedClassPath → ClassPath

34. #### def show(): Unit

    Definition Classes
      MergedClassPath

35. #### def sortString: String

    Definition Classes
      ClassPath

36. #### lazy val sourcepaths: IndexedSeq[AbstractFile]

    Definition Classes
      MergedClassPath → ClassPath

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from JavaClassPath to CollectionsHaveToParArray[JavaClassPath, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (JavaClassPath) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

39. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      MergedClassPath → AnyRef → Any

40. #### def validClassFile(name: String): Boolean

    Filters for assessing validity of various entities.

    Filters for assessing validity of various entities.

    Definition Classes
      ClassPath

41. #### def validPackage(name: String): Boolean

    Definition Classes
      ClassPath

42. #### def validSourceFile(name: String): Boolean

    Definition Classes
      ClassPath

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### def →[B](y: B): (JavaClassPath, B)

    Implicit information
      This member is added by an implicit conversion from JavaClassPath to ArrowAssoc[JavaClassPath] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def asClasspathString: String

   Definition Classes
     ClassFileLookup
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.5) Use asClassPathString instead of this one

### Inherited from MergedClassPath[AbstractFile]

### Inherited from ClassPath[AbstractFile]

### Inherited from ClassFileLookup[AbstractFile]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from JavaClassPath to CollectionsHaveToParArray[JavaClassPath, T]

### Inherited by implicit conversion any2stringadd from JavaClassPath to any2stringadd[JavaClassPath]

### Inherited by implicit conversion StringFormat from JavaClassPath to StringFormat[JavaClassPath]

### Inherited by implicit conversion Ensuring from JavaClassPath to Ensuring[JavaClassPath]

### Inherited by implicit conversion ArrowAssoc from JavaClassPath to ArrowAssoc[JavaClassPath]

### Ungrouped